<?php

namespace ThurData\Servers\KerioEmail\Core\UI\Widget\DataTable\Filters;

use ThurData\Servers\KerioEmail\Core\UI\Widget\DataTable\Filters;

/**
 * Description of YesNo
 *
 * @autor ThurData <info@thurdata.ch>
 */
class YesNo extends Filters
{

    protected function loadFilter()
    {
        $records = $this->records;
        foreach ($records as $key => $data)
        {
            if (isset($data[$this->name]))
            {
                if ((string) $data[$this->name] != (string) $this->data)
                {
                    unset($this->records[$key]);
                }
            }
        }
    }
}
